Subject: Re: Next March 25: Boot failure on powerpc [recursive locking detected]

From: Jens Axboe <[email-masked]>
Date: Fri, 27 Mar 2009 07:42:08 +0100

On Fri, Mar 27 2009, Stephen Rothwell wrote:
> Hi all,
> 
> On Thu, 26 Mar 2009 08:50:03 -0500 James Bottomley <[email-masked]> wrote:
> >
> > On Thu, 2009-03-26 at 12:04 +0530, Sachin Sant wrote:
> > > Sachin Sant wrote:
> > > > Today's next failed to boot on a powerpc box
> > > > (Power6 blade IBM,7998-61X) with following recursive locking message.
> > > >
> > > > =============================================
> > > > [ INFO: possible recursive locking detected ]
> > > > 2.6.29-next-20090325 #1
> > > After bisecting the failure seems to be because of the following
> > > patch from James ( block: move SCSI timeout check into block )
> > > 
> > > http://patchwork.kernel.org/patch/8017/
> > > 
> > > If i back out the above mentioned patch, the machine boots fine
> > > without any problems.
> > 
> > Yes, that patch already got dropped for other reasons:
> > 
> > http://marc.info/?t=123740773700002
> > 
> > I'm going to see if I can redo it in a better way, since moving this
> > type of timeout checking from scsi to block is a useful generalisation.
> 
> I will revert it from next-20090327 as well as it is still in the
> for-next branch of the block tree.

I'll update for-next, sorry about that. I had dropped it from
for-2.6.30, but forgot to update akpm/next branches.

-- 
Jens Axboe